package com.xhkjedu.smarking.mapper.report.reportsubject;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.report.reportsubject.MsrSubjectPoint;
import com.xhkjedu.smarking.vo.report.reportother.ExamReportParams;
import com.xhkjedu.smarking.vo.report.reportsubject.PointVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷报告-学科知识点表 Mapper 接口
 * @Author auto
 * @Date 2024-12-09
 */
public interface MsrSubjectPointMapper extends TkMapper<MsrSubjectPoint> {

    //科目知识点
    List<PointVo> listSubjectPoints(@Param("subjectid") String subjectid, @Param("examid") Integer examid);
    //学科素养-标定知识点-试题知识点
    List<Map<String,Object>> listQuestionPointsForXhsy(@Param("param")ExamReportParams param);

    //学科素养-知识点整体分析-级别下知识点
    List<MsrSubjectPoint> listXksyPointsZt(@Param("param")ExamReportParams param);
    //学科素养-单个知识点分析-所有知识点
    List<Map<String,Object>> listXksyPointsAll(@Param("param")ExamReportParams param);
    //学科素养-单个知识点分析-知识点详情
    MsrSubjectPoint getXksyPointByPointid(@Param("param")ExamReportParams param);
    //学科素养-单个知识点分析-各班知识点对比
    List<Map<String,Object>> listXksyPointsForAllClass(@Param("param")ExamReportParams param);

    //删除知识点相关报告
    void deletePointAnalyze(@Param("examid") Integer examid,@Param("subjectid") String subjectid);
}
